Subject: [Healeys] Engine Mounts

From: Bob Spidell <[email-masked]>
Date: Sat, 12 Nov 2016 06:24:11 -0800

The engine mounts on my BJ8--whose engine I am overhauling--had the 
rubber part separating from their metal backing.  This didn't surprise 
me, as they have 25+ years and 120K+ miles on them. However, I got under 
the BN2 the other day and noticed its mounts were separating as well, 
and these only have a few years and a few hundred miles on them.   
Apparently--like most rubber or rubber/metal parts from contemporary 
suppliers--they are crap. Anyone know a source for quality, durable 
engine mounts for Big Healeys?

TIA,

Bob

_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys